Finally Intel OpenVino supports NCS2 in MacOS

From Intel OpenVino Version 2019R3, NCS2 is fully supported in MacOS.

The Official page mentioned the minimum requirement is 10.4.4, but the Installation and Compilation completed flawlessly in 10.3.6.

As expected, slight fluctuations in probability were observed.

To run examples, it is recommended to install OpenCV independently, instead of OpenCV-Core-Vino automatically installed with OpenVino installer. Some dylib needs via install_name_tool like below.

sudo install_name_tool -change @rpath/libmkl_tiny_tbb.dylib /opt/intel/openvino/deployment_tools/inference_engine/external/mkltiny_mac/lib/libmkl_tiny_tbb.dylib /opt/intel/openvino_2019.3.376/deployment_tools/inference_engine/lib/intel64/libMKLDNNPlugin.dylib

 

Also, the c++ error might be raised in OpenCV 4.1 homebrew environment. (Due to AVCaptureDeviceauthorization issue in <10.14 Mojave). Upgrade OpenCV to 4.2.1 resolves the issue.

InferenceEngine:

API version ………… 2.1

Build ……………… 32974

Description ……. API

[ INFO ] Parsing input parameters

[ INFO ] Reading input

2020-01-13 01:34:57.003 interactive_face_detection_demo[97791:3322633] +[AVCaptureDevice authorizationStatusForMediaType:]: unrecognized selector sent to class 0x7fff821896a0

[ERROR:0] global /localdisk/jenkins/workspace/OpenCV/OpenVINO/build/opencv/modules/videoio/src/cap.cpp (193) open VIDEOIO(AVFOUNDATION): raised unknown C++ exception!

[ ERROR ] Cannot open input file or camera: cam

Leave a Reply

Your email address will not be published. Required fields are marked *